XTOTROFF(1)

NAME
xtotroff - convert X font metrics into GNU troff font metrics

SYNOPSIS
xtotroff [-r resolution] [-s point-size] font-map
xtotroff --help
xtotroff -v
xtotroff --version

DESCRIPTION
xtotroff takes a font-map, which maps groff(1) fonts to X11 fonts, creates GNU troff(1) metric files for all fonts listed. Each line in font-map consists of a groff font name and an X font name as a X Logical Font Description (XLFD) pattern, separated by whitespace. Example:

        TB -adobe-times-bold-r-normal--*-*-*-*-p-*-iso8859-1

The wildcards in the patterns are filled with the arguments to the -r and -s switches. If a font name is still ambiguous, xtotroff aborts.

OPTIONS
Whitespace is permitted between a command-line option and its argument.

--help
    Display a usage message and exit.

-rresolution
    Set the resolution for all font patterns in font-map. The value is used for both the horizontal and vertical resolution. If not specified, a resolution of 75dpi is assumed.

-spoint-size
    Set the point size for all font patterns in font-map. If not specified, a size of 10pt is assumed.

-v
--version
    Display version information and exit.

BUGS
The only supported font encodings are “iso8859-1” and “adobe-fontspecific”.

SEE ALSO
groff(1), gxditview(1), troff(1)